"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.autoSleep = exports.sleep = exports.randomRange = exports.unique = void 0;
const chalk_1 = __importDefault(require("chalk"));
const unique = (input) => {
    return [...new Set(input)];
};
exports.unique = unique;
const randomRange = (min, max) => {
    return Math.floor(Math.random() * (max - min) + min);
};
exports.randomRange = randomRange;
const sleep = (ms) => {
    console.debug(chalk_1.default.white(`[sleep] ${ms}ms`));
    return new Promise(resolve => {
        setTimeout(resolve, ms);
    });
};
exports.sleep = sleep;
const autoSleep = (min, max) => {
    min = min || 1000;
    max = Math.max(min, max || min * 5);
    return exports.sleep(exports.randomRange(min, max));
};
exports.autoSleep = autoSleep;
