import chalk from 'chalk'

export const unique = (input: any[]) => {
  return [...new Set(input)]
}

export const randomRange = (min: number, max: number) => {
  return Math.floor(Math.random() * (max - min) + min)
}

export const sleep = (ms: number) => {
  console.debug(chalk.white(`[sleep] ${ms}ms`))

  return new Promise(resolve => {
    setTimeout(resolve, ms)
  })
}

export const autoSleep = (min?: number, max?: number) => {
  min = min || 1000
  max = Math.max(min, max || min * 5)
  return sleep(randomRange(min, max))
}
